/users/v2/

Crear Usuario

El endpoint /users/v2/ te permite crear un nuevo usuario en nuestra base de datos.

La cantidad de parámetros requeridos para crear un usuario varía dependiendo del producto que hayas contratado, pero siempre te pediremos email y operation_country\.

Parámetros disponibles

Header Parameters
AuthorizationString
x-idempotency-keyString
Cuerpo de solicitud
application/json
namestring
surnamestring
identification_typeenum
identification_valuestring
birthdatestring
genderstring
emailstring
phonestring
tax_identification_typeenum
tax_identification_valuestring
nationalitystring
tax_conditionenum
residence_countrystring
monthly_income_usdstring
is_pepbooleannull
company_idstring
external_idstring
legal_addressobject10 propiedades
operation_countrystring
custom_fieldsobject10 propiedades

Detalle de respuestas

401
No autorizado

Ejemplo de solicitud
{
  "name": "Lionel",
  "surname": "Messi",
  "identification_type": "DNI",
  "identification_value": 42345678,
  "birthdate": "1998-08-20",
  "gender": "MALE",
  "email": "[email protected]",
  "phone": "1123456789",
  "tax_identification_type": "CUIL",
  "tax_identification_value": 20423456789,
  "nationality": "ARG",
  "tax_condition": "VAT_REGISTERED",
  "residence_country": "ARG",
  "monthly_income_usd": "3000",
  "is_pep": false,
  "company_id": "cmp-123e4567e89b12d3a456",
  "external_id": "ext-12345",
  "legal_address": {
    "street_name": "Av. Corrientes",
    "street_number": 300,
    "floor": 1,
    "apartment": "A",
    "zip_code": 1414,
    "neighborhood": "Villa Crespo",
    "city": "CABA",
    "region": "Buenos Aires",
    "additional_info": "Torre 2",
    "country": "ARG"
  },
  "operation_country": "ARG",
  "custom_fields": {
    "custom_field_1": "valor1",
    "custom_field_2": "valor2",
    "custom_field_3": "example_value",
    "custom_field_4": "example_value",
    "custom_field_5": "example_value",
    "custom_field_6": "example_value",
    "custom_field_7": "example_value",
    "custom_field_8": "example_value",
    "custom_field_9": "example_value",
    "custom_field_10": "example_value"
  }
}
Ejemplo de código
curl -X POST "https://api.pomelo.la/users/v2/" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "x-idempotency-key: fRwX12Dg3345AD" \
  -d '{
  "name": "Lionel",
  "surname": "Messi",
  "identification_type": "DNI",
  "identification_value": 42345678,
  "birthdate": "1998-08-20",
  "gender": "MALE",
  "email": "[email protected]",
  "phone": "1123456789",
  "tax_identification_type": "CUIL",
  "tax_identification_value": 20423456789,
  "nationality": "ARG",
  "tax_condition": "VAT_REGISTERED",
  "residence_country": "ARG",
  "monthly_income_usd": "3000",
  "is_pep": false,
  "company_id": "cmp-123e4567e89b12d3a456",
  "external_id": "ext-12345",
  "legal_address": {
    "street_name": "Av. Corrientes",
    "street_number": 300,
    "floor": 1,
    "apartment": "A",
    "zip_code": 1414,
    "neighborhood": "Villa Crespo",
    "city": "CABA",
    "region": "Buenos Aires",
    "additional_info": "Torre 2",
    "country": "ARG"
  },
  "operation_country": "ARG",
  "custom_fields": {
    "custom_field_1": "valor1",
    "custom_field_2": "valor2",
    "custom_field_3": "example_value",
    "custom_field_4": "example_value",
    "custom_field_5": "example_value",
    "custom_field_6": "example_value",
    "custom_field_7": "example_value",
    "custom_field_8": "example_value",
    "custom_field_9": "example_value",
    "custom_field_10": "example_value"
  }
}'
Ejemplo de respuesta (201)Usuario creado
{
  "data": {
    "id": "usr-203c6jQq0O3nVWXj6jRUQXy7QkC",
    "name": "Lionel",
    "surname": "Messi",
    "identification_type": "DNI",
    "identification_value": 42345678,
    "birthdate": "1998-08-20",
    "gender": "MALE",
    "email": "[email protected]",
    "phone": "1123456789",
    "tax_identification_type": "CUIL",
    "tax_identification_value": 20423456789,
    "nationality": "ARG",
    "tax_condition": "VAT_REGISTERED",
    "residence_country": "ARG",
    "monthly_income_usd": "3000",
    "is_pep": false,
    "company_id": "cmp-123e4567e89b12d3a456",
    "external_id": "ext-12345",
    "status": "ACTIVE",
    "operation_country": "ARG",
    "legal_address": {
      "street_name": "Av. Corrientes",
      "street_number": 300,
      "floor": 1,
      "apartment": "A",
      "zip_code": 1414,
      "neighborhood": "Villa Crespo",
      "city": "CABA",
      "region": "Buenos Aires",
      "additional_info": "Torre 2",
      "country": "ARG"
    },
    "custom_fields": {
      "custom_field_1": {
        "value": "valor1",
        "display_name": "Sucursal",
        "key": "branch"
      },
      "custom_field_2": {
        "value": "valor1",
        "display_name": "Sucursal",
        "key": "branch"
      },
      "custom_field_3": {
        "value": "valor1",
        "display_name": "Sucursal",
        "key": "branch"
      },
      "custom_field_4": {
        "value": "valor1",
        "display_name": "Sucursal",
        "key": "branch"
      },
      "custom_field_5": {
        "value": "valor1",
        "display_name": "Sucursal",
        "key": "branch"
      },
      "custom_field_6": {
        "value": "valor1",
        "display_name": "Sucursal",
        "key": "branch"
      },
      "custom_field_7": {
        "value": "valor1",
        "display_name": "Sucursal",
        "key": "branch"
      },
      "custom_field_8": {
        "value": "valor1",
        "display_name": "Sucursal",
        "key": "branch"
      },
      "custom_field_9": {
        "value": "valor1",
        "display_name": "Sucursal",
        "key": "branch"
      },
      "custom_field_10": {
        "value": "valor1",
        "display_name": "Sucursal",
        "key": "branch"
      }
    }
  }
}

Pomelo AI

Asistente de inteligencia artificial para consultas sobre la API de Pomelo
¡Hola!¿Cómo puedo ayudarte hoy?